Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.generic
Interface InstructionTargeter

All Known Implementing Classes:
  BranchInstruction, CodeExceptionGen, GOTO, GOTO_W, GotoInstruction, IF_ACMPEQ, IF_ACMPNE, IF_ICMPEQ, IF_ICMPGE, IF_ICMPGT, IF_ICMPLE, IF_ICMPLT, IF_ICMPNE, IFEQ, IFGE, IFGT, IfInstruction, IFLE, IFLT, IFNE, IFNONNULL, IFNULL, JSR, JSR_W, JsrInstruction, LineNumberGen, LocalVariableGen, LOOKUPSWITCH, Select, TABLESWITCH

    public interface InstructionTargeter

Denote that a class targets InstructionHandles within an InstructionList. Namely the following implementers:

Version:
  $Id: InstructionTargeter.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  `BranchHandle`, `LocalVariableGen`, `CodeExceptionGen`

Method Summary
`boolean` | `containsTarget(InstructionHandle ih)`
`void` | `updateTarget(InstructionHandle old_ih, InstructionHandle new_ih)`

Method Detail

### containsTarget

    boolean containsTarget(InstructionHandle ih)

### updateTarget

    void updateTarget(InstructionHandle old_ih,
                      InstructionHandle new_ih)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.